--- ./gselect.c.00	1999-05-27 20:47:29.000000000 +0200
+++ ./gselect.c	2011-02-28 12:44:14.000000000 +0100
@@ -152,7 +152,7 @@
     acctable = gtk_accel_group_new();
 
     /* Create main window */
-    window = gtk_window_new(GTK_WINDOW_DIALOG);
+    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
     gtk_signal_connect(GTK_OBJECT(window), "destroy",
 		       GTK_SIGNAL_FUNC(gtk_main_quit), NULL);
     gtk_window_set_title(GTK_WINDOW(window), title);
--- ./configure.in.00	1999-05-27 23:23:18.000000000 +0200
+++ ./configure.in	2011-02-28 12:43:52.000000000 +0100
@@ -11,8 +11,31 @@
 
 AC_PATH_X
 
-AM_PATH_GTK(1.2.0,,
-  AC_MSG_ERROR(Cannot include/link gtk/gdk/glib--check CFLAGS/LDFLAGS))
++AC_ARG_WITH(gtk,
+	[  --with-gtk=[version]	  which version of GTK+ to use ( 1.2 | 2.0 )],
+	[ac_cv_gtkversion=$withval], [ac_cv_gtkversion="2.0"])
+if test ! "$ac_cv_gtkversion" = "2.0"  -a  ! "$ac_cv_gtkversion" = "1.2"; then
+	AC_MSG_ERROR([You didn't specify a correct GTK+ version. 
+	  Use only "2.0" or "1.2".])
+fi
+	
+if test "$ac_cv_gtkversion" = "2.0"; then
+	AM_PATH_GLIB_2_0(2.0.0,,[AC_MSG_RESULT([
+	GLIB 2.0 was not found. I will try for GLIB 1.2 later.
+])
+	  ac_cv_gtkversion="1.2"])
+	AM_PATH_GTK_2_0(2.0.0,,[AC_MSG_RESULT([
+	GTK+ 2.0 was not found. I will try for GTK+ 1.2 later.
+])
+	  ac_cv_gtkversion="1.2"])
+fi
+if test "$ac_cv_gtkversion" = "1.2"; then
+	AM_PATH_GLIB(1.2.10,,
+          AC_MSG_ERROR(Test for GLIB failed. See the file 'INSTALL' for help.))
+	AM_PATH_GTK(1.2.10,,
+          AC_MSG_ERROR(Test for GTK failed. See the file 'INSTALL' for help.))
+fi
+
 X_LIBS="$GTK_LIBS"
 X_CFLAGS=$GTK_CFLAGS
 AC_SUBST(X_LIBS)
